using UnityEngine;
using System.Collections;

public class Cell
{
	
	public enum eCellType
	{
		TYPE_EMPTY,
		TYPE_WALL,
		TYPE_FLOOR,
		TYPE_HALLWAY
	};

	public Cell()
	{
		m_type = eCellType.TYPE_EMPTY;
		m_parentRoomID = -1; //none
	}

	public int m_parentRoomID;
	public eCellType m_type;
	int m_x, m_y;
	public bool m_itemPlacedHere = false;
}
